import React,{Component} from 'react'

import { Form, Input, DatePicker,Row, Col,Button,Icon ,Select} from 'antd';

const FormItem = Form.Item;
const Option = Select.Option

export default class T35C extends Component
{

    name='35C'
    desp = "Digital Token Identifier"
    pattern = "9x[/30x]"
    tno = -1


     keys = [1, 2]

        onChange = (index, value) => {
            let obj = {};
            if (!value)
                value = ""
            let objtemp = this.props.value

            objtemp = objtemp && objtemp.length ? objtemp[0] : {}

            objtemp["s" + index] = value;

            this.keys.forEach(i => {
                obj['s' + i] = objtemp['s' + i]
            });

            let mval = `${obj.s1}`

            if(obj.s2)
                mval = mval + `/${obj.s2}`
            this.props.onValue([obj, mval])
        }

        render() {
            let value = this.props.value

            let mval = value && value.length ? value[1] : ''
            let errmsg = value && value.length == 3 ? value[2] : {}

            value = value && value.length ? value[0] : {}

            return (
                 <Row>
                     <Col style={{ "minWidth": '150px' }} span={3}>
                         <FormItem
                             label="Digital Token Identifier"
                             required={this.props.status == 'M' || mval ? 'required' : null}
                             help={errmsg.s1}
                             validateStatus={errmsg.s1 ? 'error' : null}
                         >
                             <Input value={value.s1} onChange={e => this.onChange(1, e.target.value)} maxLength={9} style={{ imeMode: 'disabled' }} placeholder="Digital Token Identifier" />
                         </FormItem>
                     </Col>

                     <Col style={{ "minWidth": '280px' }} span={3}>
                         <FormItem
                             label="Description"
                             help={errmsg.s2}
                             validateStatus={errmsg.s2 ? 'error' : null}
                         >
                             <Input value={value.s2} onChange={e => this.onChange(2, e.target.value)} maxLength={30} style={{ imeMode: 'disabled' }} placeholder="Description" />
                         </FormItem>
                     </Col>
                 </Row>

                       )
                   }
}
